Main Page | Directories | File List | File Members | Related Pages

# S3Classes.c File Reference

`#include "party.h"`

Include dependency graph for S3Classes.c:

Go to the source code of this file.

## Functions
void | C_init_node (SEXP node, int nobs, int ninputs, int nsurr, int q)
void | S3set_nodeID (SEXP node, int nodeID)
int | S3get_nodeID (SEXP node)
SEXP | S3get_nodeweights (SEXP node)
SEXP | S3get_teststat (SEXP node)
SEXP | S3get_criterion (SEXP node)
SEXP | S3get_maxcriterion (SEXP node)
void | S3set_nodeterminal (SEXP node)
int | S3get_nodeterminal (SEXP node)
SEXP | S3get_primarysplit (SEXP node)
SEXP | S3get_surrogatesplits (SEXP node)
SEXP | S3get_prediction (SEXP node)
SEXP | S3get_leftnode (SEXP node)
SEXP | S3get_rightnode (SEXP node)
void | C_init_orderedsplit (SEXP split, int nobs)
void | C_init_nominalsplit (SEXP split, int nlevels, int nobs)
void | S3set_variableID (SEXP split, int variableID)
int | S3get_variableID (SEXP split)
int | S3is_ordered (SEXP split)
void | S3set_ordered (SEXP split)
void | S3set_nominal (SEXP split)
int | S3get_toleft (SEXP split)
void | S3set_toleft (SEXP split, int left)
SEXP | S3get_splitpoint (SEXP split)
SEXP | S3get_splitstatistics (SEXP split)
SEXP | S3get_table (SEXP split)

## Detailed Description

S3 classes for dealing with nodes and splits

Author:
  Author
    hothorn

Date:
  Date
    2005-06-28 17:40:16 +0200 (Tue, 28 Jun 2005)

Definition in file S3Classes.c.

## Function Documentation

void C_init_node | ( | SEXP | node,
|  | int | nobs,
|  | int | ninputs,
|  | int | nsurr,
|  | int | q
| ) |

| Definition at line 11 of file S3Classes.c. References CRITERION_LENGTH, NODE_LENGTH, S3_CRITERION, S3_iCRITERION, S3_MAXCRITERION, S3_NODEID, S3_PREDICTION, S3_PSPLIT, S3_SSPLIT, S3_STATISTICS, S3_TERMINAL, S3_WEIGHTS, and SPLIT_LENGTH. Referenced by C_splitnode(), R_Ensemble(), R_Node(), and R_TreeGrow().

void C_init_nominalsplit | ( | SEXP | split,
|  | int | nlevels,
|  | int | nobs
| ) |

| Definition at line 123 of file S3Classes.c. References S3_ORDERED, S3_SPLITPOINT, S3_SPLITSTATISTICS, S3_TABLE, S3_TOLEFT, S3_VARIABLEID, and SPLIT_LENGTH. Referenced by C_Node().

void C_init_orderedsplit | ( | SEXP | split,
|  | int | nobs
| ) |

| Definition at line 99 of file S3Classes.c. References S3_ORDERED, S3_SPLITPOINT, S3_SPLITSTATISTICS, S3_TABLE, S3_TOLEFT, S3_VARIABLEID, and SPLIT_LENGTH. Referenced by C_Node(), and C_surrogates().

SEXP S3get_criterion | ( | SEXP | node | ) |

| Definition at line 63 of file S3Classes.c. References S3_CRITERION, and S3_iCRITERION. Referenced by C_Node().

SEXP S3get_leftnode | ( | SEXP | node | ) |

| Definition at line 91 of file S3Classes.c. References S3_LEFT. Referenced by C_get_node(), C_get_nodebynum(), C_splitsurrogate(), and C_TreeGrow().

SEXP S3get_maxcriterion | ( | SEXP | node | ) |

| Definition at line 67 of file S3Classes.c. References S3_CRITERION, and S3_MAXCRITERION. Referenced by C_get_node(), and C_Node().

int S3get_nodeID | ( | SEXP | node | ) |

| Definition at line 46 of file S3Classes.c. References S3_NODEID. Referenced by C_get_nodebynum(), and C_get_nodeID().

int S3get_nodeterminal | ( | SEXP | node | ) |

| Definition at line 75 of file S3Classes.c. References S3_TERMINAL. Referenced by C_get_node(), C_get_nodebynum(), and C_TreeGrow().

SEXP S3get_nodeweights | ( | SEXP | node | ) |

| Definition at line 50 of file S3Classes.c. References S3_WEIGHTS. Referenced by C_get_node(), C_get_nodeweights(), C_getweights(), C_splitnode(), C_splitsurrogate(), C_surrogates(), C_TreeGrow(), R_Ensemble(), R_predictRF(), R_predictRF2(), R_predictRF_weights(), and R_TreeGrow().

SEXP S3get_prediction | ( | SEXP | node | ) |

| Definition at line 87 of file S3Classes.c. References S3_PREDICTION. Referenced by C_get_prediction(), C_getpredictions(), C_Node(), R_predictRF(), and R_predictRF_weights().

SEXP S3get_primarysplit | ( | SEXP | node | ) |

| Definition at line 79 of file S3Classes.c. References S3_PSPLIT. Referenced by C_get_node(), C_Node(), C_splitnode(), C_splitsurrogate(), and C_surrogates().

SEXP S3get_rightnode | ( | SEXP | node | ) |

| Definition at line 95 of file S3Classes.c. References S3_RIGHT. Referenced by C_get_node(), C_get_nodebynum(), C_splitsurrogate(), and C_TreeGrow().

SEXP S3get_splitpoint | ( | SEXP | split | ) |

| Definition at line 174 of file S3Classes.c. References S3_SPLITPOINT. Referenced by C_get_node(), C_Node(), C_splitnode(), C_splitsurrogate(), and C_surrogates().

SEXP S3get_splitstatistics | ( | SEXP | split | ) |

| Definition at line 178 of file S3Classes.c. References S3_SPLITSTATISTICS. Referenced by C_Node().

SEXP S3get_surrogatesplits | ( | SEXP | node | ) |

| Definition at line 83 of file S3Classes.c. References S3_SSPLIT. Referenced by C_get_node(), C_splitsurrogate(), C_surrogates(), and R_surrogates().

SEXP S3get_table | ( | SEXP | split | ) |

| Definition at line 187 of file S3Classes.c. References S3_TABLE. Referenced by C_Node().

SEXP S3get_teststat | ( | SEXP | node | ) |

| Definition at line 59 of file S3Classes.c. References S3_CRITERION, and S3_STATISTICS. Referenced by C_Node().

int S3get_toleft | ( | SEXP | split | ) |

| Definition at line 165 of file S3Classes.c. References S3_TOLEFT. Referenced by C_get_node(), and C_splitsurrogate().

int S3get_variableID | ( | SEXP | split | ) |

| Definition at line 149 of file S3Classes.c. References S3_VARIABLEID. Referenced by C_get_node(), C_splitnode(), C_splitsurrogate(), and C_surrogates().

int S3is_ordered | ( | SEXP | split | ) |

| Definition at line 153 of file S3Classes.c. References S3_ORDERED. Referenced by C_get_node(), and C_splitnode().

void S3set_nodeID | ( | SEXP | node,
|  | int | nodeID
| ) |

| Definition at line 42 of file S3Classes.c. References S3_NODEID. Referenced by C_TreeGrow().

void S3set_nodeterminal | ( | SEXP | node | ) |

| Definition at line 71 of file S3Classes.c. References S3_TERMINAL. Referenced by C_Node().

void S3set_nominal | ( | SEXP | split | ) |

| Definition at line 161 of file S3Classes.c. References S3_ORDERED.

void S3set_ordered | ( | SEXP | split | ) |

| Definition at line 157 of file S3Classes.c. References S3_ORDERED.

void S3set_toleft | ( | SEXP | split,
|  | int | left
| ) |

| Definition at line 169 of file S3Classes.c. References S3_TOLEFT. Referenced by C_surrogates().

void S3set_variableID | ( | SEXP | split,
|  | int | variableID
| ) |

| Definition at line 145 of file S3Classes.c. References S3_VARIABLEID. Referenced by C_Node(), and C_surrogates().